org.apache.ignite.ml.math

## Interface StorageConstants

- All Known Implementing Classes:
    SparseMatrix, SparseMatrixStorage, SparseVector, SparseVectorStorage

      public interface StorageConstants

  Support for different modes of accessing data storage.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COLUMN_STORAGE_MODE` Storage mode optimized for column access.
    `static int` | `RANDOM_ACCESS_MODE` Storage mode optimized for random access.
    `static int` | `ROW_STORAGE_MODE` Storage mode optimized for row access.
    `static int` | `SEQUENTIAL_ACCESS_MODE` Storage mode optimized for sequential access.
    `static int` | `UNKNOWN_STORAGE_MODE` Storage mode is unknown.

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `assertAccessMode(int mode)`
    `default void` | `assertStorageMode(int mode)`

- - ### Field Detail

    - #### SEQUENTIAL_ACCESS_MODE

          static final int SEQUENTIAL_ACCESS_MODE

      Storage mode optimized for sequential access.
      See Also:
        Constant Field Values

    - #### RANDOM_ACCESS_MODE

          static final int RANDOM_ACCESS_MODE

      Storage mode optimized for random access.
      See Also:
        Constant Field Values

    - #### ROW_STORAGE_MODE

          static final int ROW_STORAGE_MODE

      Storage mode optimized for row access.
      See Also:
        Constant Field Values

    - #### COLUMN_STORAGE_MODE

          static final int COLUMN_STORAGE_MODE

      Storage mode optimized for column access.
      See Also:
        Constant Field Values

    - #### UNKNOWN_STORAGE_MODE

          static final int UNKNOWN_STORAGE_MODE

      Storage mode is unknown.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### assertAccessMode

          default void assertAccessMode(int mode)

      Parameters:
        `mode` - Access mode to verify.

    - #### assertStorageMode

          default void assertStorageMode(int mode)

      Parameters:
        `mode` - Storage mode to verify.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022